## vnc4 4.1.1+X4.3.0+t

=== debian/changelog ===
vnc4 (4.1.1+X4.3.0+t-1) unstable; urgency=high

  * Made the package a transitional package to ensure tigervnc is installed
    as a replacement.
    Closes: #811783, #491433, #578978, #656862, #512703.

 -- Ola Lundqvist <opal@debian.org>  Sat, 07 Jan 2017 23:33:39 +0100

vnc4 (4.1.1+X4.3.0-37.6) unstable; urgency=medium

  * Non-maintainer upload.
  * armhf_inw_inb.patch: Fix FTBFS on armel/armhf (from Ubuntu).
    Closes: #472188, #536544, #621409.

 -- dann frazier <dannf@debian.org>  Thu, 02 Apr 2015 13:34:56 -0400

vnc4 (4.1.1+X4.3.0-37.5) experimental; urgency=medium

  * Non-maintainer upload.
  * Reapply patch dropped from previous release to aide testing migration:
     - Strip vnc:// prefix from server name to support URIs (Closes: #769891)

 -- dann frazier <dannf@debian.org>  Mon, 24 Nov 2014 15:44:08 -0700

vnc4 (4.1.1+X4.3.0-37.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Temporarily revert fix for #769891 to qualify for jessie unblock.
  * powerpc-undef-pixel.patch: Fix FTBFS on powerpc (Closes: #769976).

 -- dann frazier <dannf@debian.org>  Mon, 24 Nov 2014 15:44:08 -0700

vnc4 (4.1.1+X4.3.0-37.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Strip vnc:// prefix from server name to support URIs (Closes: #769891)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Mon, 17 Nov 2014 11:47:55 +0100

vnc4 (4.1.1+X4.3.0-37.2) unstable; urgency=medium

  * Non-maintainer upload.
  * arm64-support.patch: Add arm64 support (Closes: #769490)

 -- dann frazier <dannf@debian.org>  Fri, 14 Nov 2014 15:50:34 -0700

vnc4 (4.1.1+X4.3.0-37.1) unstable; urgency=low

  * Non-maintainer upload.
  * vnc4server.prerm: Correctly remove the vncconfig alternative.
    (Closes: #656217)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Jan 2013 17:05:12 +0100

vnc4 (4.1.1+X4.3.0-37) unstable; urgency=low

  * Applied patch from Ben Armstrong <synrg@debian.org> that makes dpi
    to remain constant after RandR changes to geomentry, closes:
    #572678.

 -- Ola Lundqvist <opal@debian.org>  Wed, 10 Mar 2010 21:37:21 +0100

vnc4 (4.1.1+X4.3.0-36) unstable; urgency=low

  * Correction for use of uninitilized memory, closes: #509949. Thanks
    to Jö Fahlke <jorrit@jorrit.de> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 21 Feb 2010 10:02:12 +0100

vnc4 (4.1.1+X4.3.0-35) unstable; urgency=low

  * Applied workaround for IPv6 bindonly issue. Thanks to Roman Mamedov
    <roman@rm.pp.ru> for the patch. Closes: #568630, #561619, #560137,
    #566758, #562169.

 -- Ola Lundqvist <opal@debian.org>  Sun, 07 Feb 2010 19:53:25 +0100

vnc4 (4.1.1+X4.3.0-34) unstable; urgency=low

  * Added support for xrandr, closes: #366493. Thanks to "Nikita V.
    Youshchenko" <yoush@debian.org> for the patch and to Ben Armstrong
    <synrg@sanctuary.nslug.ns.ca> for the updated vncserver script.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 22:39:14 +0100

vnc4 (4.1.1+X4.3.0-33) unstable; urgency=low

  * Applying patch from Red Hat to solve problem with vncconfig crashing
    on amd64. Closes: #551278. Thanks to Michael Terry
    <michael.terry@canonical.com> for pointing to the patch.
  * Applied patch from Roman Mamedov <roman@rm.pp.ru> that adds IPv6
    support for the vncserver. Closes: #550789.
  * Fixed assertion by using suggested patch from ubuntu bug 202123.
    Closes: #282820.
  * Applied patch from Otavio Salvador <otavio@ossystems.com.br> to support
    XEmbed. Closes: #447723.

 -- Ola Lundqvist <opal@debian.org>  Thu, 19 Nov 2009 21:56:04 +0100

vnc4 (4.1.1+X4.3.0-32) unstable; urgency=low

  * Applying a patch from Mike Mammarella <debian@crystalorb.net> that
    adds IPv6 support for the xnvcviewer program. Closes: #342620.
  * Moved from x-dev to x11proto-core-dev build dependency. Closes:
    #515398.

 -- Ola Lundqvist <opal@debian.org>  Wed, 09 Sep 2009 19:56:47 +0200

vnc4 (4.1.1+X4.3.0-31) unstable; urgency=high

  * Correction for CVE-2008-4770. Arbitrary code execution via crafted
    RFB protocol data. Closes: #513531.

 -- Ola Lundqvist <opal@debian.org>  Fri, 30 Jan 2009 19:27:21 +0100

vnc4 (4.1.1+X4.3.0-30) unstable; urgency=low

  * Correction for seen build problem on alpha architecture. Do not
    include asm/pci.h and asm/page.h in case of alpha arch. Closes: #489475.

 -- Ola Lundqvist <opal@debian.org>  Sat, 12 Jul 2008 00:08:54 +0200

vnc4 (4.1.1+X4.3.0-29) unstable; urgency=low

  * Correction for mipsel architecture. Same problem as for hppa.
    Closes: #486104. This may affect mips architecture as well.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 14:38:49 +0200

vnc4 (4.1.1+X4.3.0-28) unstable; urgency=low

  * Due to recent changes in build environment asm/page.h shall not be
    included for hppa architecture in
    unix/xc/programs/Xserver/hw/xfree86/fbdevhw/fbdevhw.c. Closes:
    #485958.

 -- Ola Lundqvist <opal@debian.org>  Fri, 13 Jun 2008 08:05:55 +0200

vnc4 (4.1.1+X4.3.0-27) unstable; urgency=low

  * Adds a workaround for a problem on sparc architecture. Now
    xf86Sbus.h include fb.h in before including fbio.h. Closes: #477659.
  * No longer include asm/pci.h on alpha in lnx.h file. The reason is that
    this file no longer exist on alpha architecture.

 -- Ola Lundqvist <opal@debian.org>  Thu, 12 Jun 2008 07:43:58 +0200

vnc4 (4.1.1+X4.3.0-26) unstable; urgency=low

  * Fix for FTBFS on s390, closes: #477232. It will no longer fail on those
    architectures that do not build the removed vnc.so.

 -- Ola Lundqvist <opal@debian.org>  Tue, 22 Apr 2008 08:03:16 +0200

vnc4 (4.1.1+X4.3.0-25) unstable; urgency=low

  * Added conflict on vnc4-common, closes: #477191.

 -- Ola Lundqvist <opal@debian.org>  Mon, 21 Apr 2008 22:01:07 +0200

vnc4 (4.1.1+X4.3.0-24) unstable; urgency=low

  * Correction of FTBFS with g++-4.3, closes: #474981.
    Thanks to Michael Meskes <meskes@debian.org> for the patch.

 -- Ola Lundqvist <opal@debian.org>  Sun, 20 Apr 2008 11:04:10 +0200

vnc4 (4.1.1+X4.3.0-23) unstable; urgency=low

