=== debian/control ===
Source: vnc4
Section: x11
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.8.4

Package: vnc4server
Architecture: any
Depends: tigervnc-standalone-server
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: xvnc4viewer
Section: net
Architecture: any
Depends: tigervnc-viewer
Description: transitional package
 This is a transitional package. It can safely be removed.
