## vnc4 4.1.1+xorg4.3.0

=== unix/vncmkdepend/Makefile ===
SRCS = include.c main.c parse.c pr.c cppsetup.c ifparser.c
OBJS = $(SRCS:.c=.o)
vncmkdepend: $(OBJS)
	$(CC) $^ -o $@
