=== unix/xc/programs/Xserver/hw/xfree86/drivers/mga/util/Makefile ===
# $XFree86: xc/programs/Xserver/hw/xfree86/drivers/mga/util/Makefile,v 1.1 1997/04/12 14:11:28 hohndel Exp $



all:	stormdwg

stormdwg:	stormdwg.c
	cc -o stormdwg stormdwg.c

clean:
	rm -f *.o stormdwg
