## vnc4 4.1.1+xorg4.3.0+t

=== debian/changelog ===
vnc4 (4.1.1+xorg4.3.0+t-1) disco; urgency=medium

  * Upload with Ubuntu's versioning, since Debian version is lower.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 17 Jan 2019 21:04:04 -0500
